<popup-image style="display:block;">
	<div class="popup-image-ovelray" id="image-popup-overlay" style="display:none;">
		<img src="{ state.image ? '/image/full-image/img/' + state.image.path + '/' + state.image.media : '' }" class="popup-image" id="popup-image-img">

		<a href="#" class="popup-image-nav-left" show="{ state.image && state.image.index > 1 }">
			<img src="/assets/images/popup/prev.png">
		</a>
		<a href="#" class="popup-image-nav-right" show="{ state.image && state.image.index < state.images.length }">
			<img src="/assets/images/popup/next.png">
		</a>
		<a href="#" class="popup-image-nav-close">
			<img src="/assets/images/popup/close.png">
		</a>
		<div class="popup-image-caption" if="{ state.image }">
			Εκόνα { state.image.index } από { state.images.length }
		</div>

		<image-loader-icon class="control-loader" style="background: transparent;" if="{ state.loading }"></image-loader-icon>
	</div>

	<script>
		this.state = {
			images: [],
			image: null,
			loading: true,
		}

		this.load_image = image => {
			var tag = this;
			$('#popup-image-img').fadeOut(100, function(){
				tag.state.image = image;
				tag.state.loading = true;
				tag.update();
			})
			
		}

		this.get_image_index = image => {
			var arr = image.split("/");
			image = arr[arr.length - 1];
			image = image.replace("full-image_", "");

			return this.state.images.map(function(e) { return e.media; }).indexOf(image);
		}


		this.previus_image = event => {
			event.preventDefault();
			event.stopPropagation();
			
			var index = this.get_image_index($("#popup-image-img").attr('src'));
			index--;
			if (index > -1) {
				this.load_image(this.state.images[index]);
			}
		}

		this.next_image = event => {
			event.preventDefault();
			event.stopPropagation();
			
			var index = this.get_image_index($("#popup-image-img").attr('src'));
			index++;
			if (index < this.state.images.length ) {
				this.load_image(this.state.images[index]);
			}
		}


		this.on("mount", function(){
			this.state.images = riot_data.images;

			if (this.state.images.length) {
				var index = 1;
				this.state.images.map(item => {
					item.is_first = index == 0;
					item.is_last = index == this.state.images.length;
					item.index = index;
					index++;
				});
			}

			var tag = this;

			$('#popup-image-img').bind("click", function(event) {
				event.preventDefault();
				event.stopPropagation();
			});

			$('.popup-image-nav-left').bind("click", function(event) {
				tag.previus_image(event);
			});

			$('.popup-image-nav-right').bind("click", function(event) {
				tag.next_image(event);
			});

			$('.popup-image-nav-close').bind("click", function(event) {
				event.preventDefault();
				event.stopPropagation();
				$('#image-popup-overlay').fadeOut();
			});

			$('.classi-image').unbind("click");
			$('.classi-image').bind("click", function(event) {
				event.preventDefault();

				var index = tag.get_image_index($(event.target).attr('src'));
				tag.state.image = tag.state.images[index];
				tag.update();

				$('#image-popup-overlay').fadeIn(function() {
					$('#image-popup-overlay').bind("click", function() {
						$('#image-popup-overlay').fadeOut();
					});
				});
			});

			$('#popup-image-img').on('load', function() {
				tag.state.loading = false;
				tag.update();
				$('#popup-image-img').fadeIn(100);
			});

			$(document).keydown(function( event ) {
				if (event.keyCode == 39) {
					tag.next_image(event);
				} else if (event.keyCode == 37) {
					tag.previus_image(event);
				}
			});
		});
	</script>
</popup-image>

<image-loader-icon>
	<div class="loading-icon" style="width:70px; height:70px;">
	    <svg width="100%" height="100%" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid" class="lds-ellipsis" style="background: rgba(0, 0, 0, 0) none repeat scroll 0% 0%;" viewBox="0 0 100 100">
	        <circle cx="16" cy="50" r="10" fill="#71c2cc">
	            <animate attributeName="r" values="10;0;0;0;0" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	            <animate attributeName="cx" values="84;84;84;84;84" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	        </circle>
	        <circle cx="16" cy="50" r="10" fill="#d8ebf9">
	            <animate attributeName="r" values="0;10;10;10;0" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="-0.5s"></animate>
	            <animate attributeName="cx" values="16;16;50;84;84" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="-0.5s"></animate>
	        </circle>
	        <circle cx="16" cy="50" r="10" fill="#5699d2">
	            <animate attributeName="r" values="0;10;10;10;0" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="-0.25s"></animate>
	            <animate attributeName="cx" values="16;16;50;84;84" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="-0.25s"></animate>
	        </circle>
	        <circle cx="16" cy="50" r="10" fill="#1d3f72"><animate attributeName="r" values="0;10;10;10;0" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	            <animate attributeName="cx" values="16;16;50;84;84" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	        </circle>
	        <circle cx="16" cy="50" r="10" fill="#71c2cc"><animate attributeName="r" values="0;0;10;10;10" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	            <animate attributeName="cx" values="16;16;16;50;84" keyTimes="0;0.25;0.5;0.75;1" keySplines="0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1" calcMode="spline" dur="1s" repeatCount="indefinite" begin="0s"></animate>
	        </circle>
	    </svg>
	</div>
</image-loader-icon>